// Arquivo de exemplo: validaDtd.cs
// Para compilar utilize: csc validaDtd.cs
using System;
using System.Xml;
using System.Xml.Schema;

class validatar {
	public static void Main() {
		XmlReaderSettings set = new XmlReaderSettings();
		set.DtdProcessing = DtdProcessing.Parse;		
		set.ValidationType = ValidationType.DTD;
		set.ValidationEventHandler += new ValidationEventHandler(ValidationCallBack);

		using (XmlReader r = XmlReader.Create(@"C:\Livro\Capitulo22\dtdvalidado.xml", set)) {
			while (r.Read()) ;
		}
		Console.WriteLine("Validação encerrada");
		Console.Read();	
	}

	private static void ValidationCallBack(object sender, ValidationEventArgs e) {
		Console.WriteLine(e.Message);
	}
}
